Index: code/trunk/src/modules/overlays/debugging/CMakeLists.txt
===================================================================
--- code/trunk/src/modules/overlays/debugging/CMakeLists.txt	(revision 9667)
+++ code/trunk/src/modules/overlays/debugging/CMakeLists.txt	(revision 9939)
@@ -2,3 +2,4 @@
   DebugFPSText.cc
   DebugRTRText.cc
+  DebugPositionText.cc
 )
Index: code/trunk/src/modules/overlays/debugging/DebugPositionText.cc
===================================================================
--- code/trunk/src/modules/overlays/debugging/DebugPositionText.cc	(revision 9939)
+++ code/trunk/src/modules/overlays/debugging/DebugPositionText.cc	(revision 9939)
@@ -0,0 +1,61 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Johannes Ritz
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "DebugPositionText.h"
+
+#include "util/Convert.h"
+#include "core/CoreIncludes.h"
+#include "core/Game.h"
+
+#include "controllers/NewHumanController.h"
+
+namespace orxonox
+{
+    RegisterClass(DebugPositionText);
+
+    DebugPositionText::DebugPositionText(Context* context) : OverlayText(context)
+    {
+        RegisterObject(DebugPositionText);
+    }
+
+    DebugPositionText::~DebugPositionText()
+    {
+    }
+
+    void DebugPositionText::tick(float dt)
+    {
+        SUPER(DebugPositionText, tick, dt);
+        
+        ObjectList<NewHumanController>::iterator it = ObjectList<NewHumanController>::begin();
+        if (it && it->getControllableEntity() )
+        {
+            Vector3 pos = it->getControllableEntity()->getPosition();
+            this->setCaption(multi_cast<std::string>(pos));
+        }
+    }
+}
Index: code/trunk/src/modules/overlays/debugging/DebugPositionText.h
===================================================================
--- code/trunk/src/modules/overlays/debugging/DebugPositionText.h	(revision 9939)
+++ code/trunk/src/modules/overlays/debugging/DebugPositionText.h	(revision 9939)
@@ -0,0 +1,48 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Johannes Ritz
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _DebugPositionText_H__
+#define _DebugPositionText_H__
+
+#include "overlays/OverlaysPrereqs.h"
+
+#include "tools/interfaces/Tickable.h"
+#include "overlays/OverlayText.h"
+
+namespace orxonox
+{
+    class _OverlaysExport DebugPositionText : public OverlayText, public Tickable
+    {
+    public:
+        DebugPositionText(Context* context);
+        virtual ~DebugPositionText();
+
+        virtual void tick(float dt);
+    };
+}
+#endif /* _DebugPositionText_H__ */
